BookWright Updater Error Message: "Unable to Perform an Update"

Are you seeing this error message? 

Blurb Updater is unable to perform an update and is currently unable to launch.

This message appears when the auto-update feature for BookWright cannot check for or install an update.

If you see this message please download and reinstall a new version of BookWright. 

If downloading and reinstalling BookWright doesn't help please contact us with the following information: 

  • Let us know what happened when you tried reinstalling.
  • Copy and send the information available under BookWright > About BookWright by clicking the Copy to clipboard button and sending our way. 

 

 

 

 

Have more questions? Submit a request
Log In